raaz-0.2.1: The raaz cryptographic library.

Safe Haskell | None
Language | Haskell2010

Raaz.Hash.Sha256.Implementation.CPortable

Description

The portable C-implementation of SHA256.

Synopsis

- implementation :: Implementation SHA256
- cPortable :: HashI SHA256 (HashMemory SHA256)

# Documentation

implementation :: Implementation SHA256 Source #

The portable C implementation of SHA256.

cPortable :: HashI SHA256 (HashMemory SHA256) Source #

The Hash implementation, i.e. `HashI` associated with the portable C implementation for the hash SHA256. This can be used to define an implementation of truncated hashes like SHA224.